USE performance_schema;

UPDATE setup_instruments SET ENABLED = 'YES', TIMED = 'YES';
UPDATE setup_consumers SET ENABLED = 'YES';

Use bobby;

select sum(a),sum(b) from test;

USE performance_schema;

-- waits with STAGE as parent event

select EVENT_NAME,sum(TIMER_WAIT)/1000000000000 total_seconds
from events_waits_history_long
where
NESTING_EVENT_ID in 
(select EVENT_ID from events_stages_history_long
where
NESTING_EVENT_ID in 
(select EVENT_ID from events_statements_history_long
where SQL_TEXT like concat('%te','st%'))
and NESTING_EVENT_TYPE = 'STATEMENT')
and NESTING_EVENT_TYPE = 'STAGE'
group by EVENT_NAME
order by total_seconds desc;

-- waits with the stage events as parent events

select EVENT_NAME,sum(TIMER_WAIT)/1000000000000 total_seconds 
from events_waits_history_long
where
NESTING_EVENT_ID in 
(select EVENT_ID from events_waits_history_long
where
NESTING_EVENT_ID in 
(select EVENT_ID from events_stages_history_long
where
NESTING_EVENT_ID in 
(select EVENT_ID from events_statements_history_long
where SQL_TEXT like concat('%te','st%'))
and NESTING_EVENT_TYPE = 'STATEMENT')
and NESTING_EVENT_TYPE = 'STAGE')
and NESTING_EVENT_TYPE = 'WAIT'
group by EVENT_NAME
order by total_seconds desc;
